﻿*********	Kolbrún Jónsdóttir *********
*********     6 2 2019		   *********

clear
******** Open data and do file ********
cd "C:\Users\Kolla\Desktop\ASRmaster\Data"

//log using TidPengar_KJ.log, replace
use topall.dta, clear

******** Check data and missing values ********
tab Fodar
tab Fodar [aweight = nyvikt]

tab IP_KON, gen(IP_sex)
gen IP_sex=IP_sex1
replace IP_sex=2 if IP_sex2==1
tab IP_sex

tab AF_KON, gen(AF_sex)
gen AF_sex=AF_sex1
replace AF_sex=2 if AF_sex2==1
tab AF_sex

**Same sex relationships recoded to missing or when partners gender is missing**
recode AF_sex (1=.) if IP_sex==1
recode IP_sex (1=.) if AF_sex==.
recode IP_sex (2=.) if AF_sex==.

******** Make a new variable for förskolestart*******
gen FstartMonth=Q29a_2
recode FstartMonth (0=0) (1=0.08) (2=0.17) (3=0.25) (4=0.33) (5=0.42) (6=0.5) (7=0.58) (8=0.67) (9=0.75) (10=0.83) (11=0.92) (else=.)
//tab FstartMonth, m

recode Q29a_1 (12=.) (99=.)

gen Fstart=Q29a_1+FstartMonth
**** Change into months after consulting with AZ****
replace Fstart=Fstart*12
sum Fstart

//tab2xl Fstart Fodar using Fstart, col(1) row(1)
//tab2xl Fstart Fodar [aweight=nyvikt] using Fstartweight, col(1) row(1)

****** Parents length of leave ********

*Q11x_2 is string, change to numeric
tab Q11x_2, gen(Q11x_2a)

gen Q11x_2a=Q11x_2a1
replace Q11x_2a=10 if Q11x_2a2==1
replace Q11x_2a=12 if Q11x_2a3==1
replace Q11x_2a=14 if Q11x_2a4==1
replace Q11x_2a=16 if Q11x_2a5==1
replace Q11x_2a=19 if Q11x_2a6==1
replace Q11x_2a=2 if Q11x_2a7==1
replace Q11x_2a=20 if Q11x_2a8==1
replace Q11x_2a=26 if Q11x_2a9==1
replace Q11x_2a=3 if Q11x_2a10==1
replace Q11x_2a=4 if Q11x_2a11==1
replace Q11x_2a=5 if Q11x_2a12==1
replace Q11x_2a=6 if Q11x_2a13==1
replace Q11x_2a=7 if Q11x_2a14==1

gen Q11PL_d=Q11x_1
replace Q11PL_d=Q11x_2a*7 if Q11PL_d==.
replace Q11PL_d=Q11x_3*30.42 if Q11PL_d==.
** Change from days to months after consulting with AZ **
replace Q11PL_d=Q11PL_d/30.42
sum Q11PL_d

***** Andra förelder ***
*Q16x_2 is string, change to numeric*
tab Q16x_2, gen(Q16x_2a)
gen Q16x_2a=Q16x_2a1
replace Q16x_2a=10 if Q11x_2a2==1
replace Q16x_2a=14 if Q11x_2a3==1
replace Q16x_2a=2 if Q11x_2a4==1
replace Q16x_2a=3 if Q11x_2a5==1
replace Q16x_2a=4 if Q11x_2a6==1
replace Q16x_2a=5 if Q11x_2a7==1
replace Q16x_2a=6 if Q11x_2a8==1
replace Q16x_2a=8 if Q11x_2a9==1
replace Q16x_2a=88 if Q11x_2a10==1

tab Q16x_2a

gen Q16PL_AF_d=Q16x_1
replace Q16PL_AF_d=Q16x_2a*7 if Q16PL_AF_d==.
replace Q16PL_AF_d=Q16x_3*30.42 if Q16PL_AF_d==.
** Change from days to months after consulting with AZ **
replace Q16PL_AF_d=Q16PL_AF_d/30.42
sum Q16PL_AF_d

gen PL_d_K=Q11PL_d if IP_sex==1
replace PL_d_K=Q16PL_AF_d if AF_sex==1
sum PL_d_K

gen PL_d_M=Q11PL_d if IP_sex==2
replace PL_d_M=Q16PL_AF_d if AF_sex==2
sum PL_d_M

***** Father's share *****
gen PL_shareF=PL_d_M/(PL_d_M+PL_d_K)
sum PL_shareF

***** Export to Excel *****
//tab2xl PL_d_K Fodar [aw=nyvikt] using PL_days_Kvinnor, col(1) row(1)
//putexcel save PL_days_Kvinnor.xlsx

//tab2xl PL_d_M Fodar [aweight=nyvikt] using PL_days_Man, col(1) row(1)
//tab2xl PL_shareF Fodar [aweight=nyvikt] using PL_shareF, col(1) row(1)
****doesn't work anymore... I don't know why. Exporting manually instead

tab PL_d_K Fodar [aw=nyvikt]
tab PL_d_M Fodar [aw=nyvikt]
tab PL_shareF Fodar [aw=nyvikt]

//tab2xl Fstart Fodar [aweight=nyvikt] using Fstartweight, col(1) row(1)

***** Mother's length of leave parttime *****
tab Q12 [aw=nyvikt]
tab Q17 [aw=nyvikt]

gen PL_part_K=Q12 if IP_sex==1
replace PL_part_K=Q17 if AF_sex==1
tab PL_part_K [aw=nyvikt]

gen PL_part_M=Q12 if IP_sex==2
replace PL_part_M=Q17 if AF_sex==2
tab PL_part_M [aw=nyvikt]

*Q12ax_1 is string, change to numeric*
tab Q12ax_1, gen(Q12ax_1a)

gen Q12ax_1a=Q12ax_1a1
replace Q12ax_1a=5 if Q12ax_1a2==1
tab Q12ax_1a

*Q12ax_2 is string, change to numeric*
tab Q12ax_2, gen(Q12ax_2a)
gen Q12ax_2a=.
replace Q12ax_2a=2 if Q12ax_2a1==1
replace Q12ax_2a=20 if Q12ax_2a2==1
replace Q12ax_2a=3 if Q12ax_2a3==1
replace Q12ax_2a=4 if Q12ax_2a4==1
replace Q12ax_2a=5 if Q12ax_2a5==1
replace Q12ax_2a=8 if Q12ax_2a6==1

tab Q12ax_2a

gen Q12PL_d=Q12ax_1a
replace Q12PL_d=Q12ax_2a*7 if Q12PL_d==.
replace Q12PL_d=Q12ax_3*30.42 if Q12PL_d==.
** Change from days to months after consulting with AZ **
replace Q12PL_d=Q12PL_d/30.42
sum Q12PL_d

***** Andra förelder ***
*Q17x_1 is string, change to numeric*
tab Q17ax_1, gen(Q17ax_1a)
gen Q17ax_1a=.
replace Q17ax_1a=10 if Q17ax_1a1==1
replace Q17ax_1a=4 if Q17ax_1a2==1
replace Q17ax_1a=8 if Q17ax_1a3==1

tab Q17ax_1a

*Q17x_2 is string, change to numeric*
tab Q17ax_2, gen(Q17ax_2a)
gen Q17ax_2a=.
replace Q17ax_2a=2 if Q17ax_2a1==1
replace Q17ax_2a=3 if Q17ax_2a2==1
replace Q17ax_2a=4 if Q17ax_2a3==1
replace Q17ax_2a=6 if Q17ax_2a4==1

tab Q17ax_2a

gen Q17PL_AF_d=Q17ax_1a
replace Q17PL_AF_d=Q17ax_2a*7 if Q17PL_AF_d==.
replace Q17PL_AF_d=Q17ax_3*30.42 if Q17PL_AF_d==.
** Change from days to months after consulting with AZ **
replace Q17PL_AF_d=Q17PL_AF_d/30.42
sum Q17PL_AF_d

gen PLpart_d_K=Q12PL_d if IP_sex==1
replace PLpart_d_K=Q17PL_AF_d if AF_sex==1
sum PLpart_d_K

gen PLpart_d_M=Q12PL_d if IP_sex==2
replace PLpart_d_M=Q17PL_AF_d if AF_sex==2
sum PLpart_d_M

tab PLpart_d_K Fodar [aw=nyvikt]

***** Procentage of fulltime work/studies *****
gen PLpart_percent_K=Q12b_1 if IP_sex==1
replace PLpart_percent_K=Q17b if AF_sex==1
recode PLpart_percent_K 999=.
sum PLpart_percent_K

gen PLpart_percent_M=Q12b_1 if IP_sex==2
replace PLpart_percent_M=Q17b if AF_sex==2
recode PLpart_percent_K 999=.
sum PLpart_percent_M

tab PLpart_percent_K Fodar [aw=nyvikt]

***** Activities before PL *****

** Women **
gen Q14_1K=Q14_1 if IP_sex==1
replace Q14_1K=Q19_1 if AF_sex==1

gen Q14_2K=Q14_2 if IP_sex==1
replace Q14_2K=Q19_2 if AF_sex==1

gen Q14_3K=Q14_3 if IP_sex==1
replace Q14_3K=Q19_3 if AF_sex==1

gen Q14_4K=Q14_4 if IP_sex==1
replace Q14_4K=Q19_4 if AF_sex==1

gen Q14_5K=Q14_5 if IP_sex==1
replace Q14_5K=Q19_5 if AF_sex==1

gen Q14_6K=Q14_6 if IP_sex==1
replace Q14_6K=Q19_6 if AF_sex==1

gen Q14_7K=Q14_7 if IP_sex==1
replace Q14_7K=Q19_7 if AF_sex==1

gen Q14_8K=Q14_8 if IP_sex==1
replace Q14_8K=Q19_8 if AF_sex==1

tab Q14_1K Fodar [aw=nyvikt]
tab Q14_2K Fodar [aw=nyvikt]
tab Q14_3K Fodar [aw=nyvikt]
tab Q14_4K Fodar [aw=nyvikt]
tab Q14_5K Fodar [aw=nyvikt]
tab Q14_6K Fodar [aw=nyvikt]
tab Q14_7K Fodar [aw=nyvikt]
tab Q14_8K Fodar [aw=nyvikt]

** Men **
gen Q14_1M=Q14_1 if IP_sex==2
replace Q14_1M=Q19_1 if AF_sex==2

gen Q14_2M=Q14_2 if IP_sex==2
replace Q14_2M=Q19_2 if AF_sex==2

gen Q14_3M=Q14_3 if IP_sex==2
replace Q14_3M=Q19_3 if AF_sex==2

gen Q14_4M=Q14_4 if IP_sex==2
replace Q14_4M=Q19_4 if AF_sex==2

gen Q14_5M=Q14_5 if IP_sex==2
replace Q14_5M=Q19_5 if AF_sex==2

gen Q14_6M=Q14_6 if IP_sex==2
replace Q14_6M=Q19_6 if AF_sex==2

gen Q14_7M=Q14_7 if IP_sex==2
replace Q14_7M=Q19_7 if AF_sex==2

gen Q14_8M=Q14_8 if IP_sex==2
replace Q14_8M=Q19_8 if AF_sex==2

tab Q14_1M Fodar [aw=nyvikt]
tab Q14_2M Fodar [aw=nyvikt]
tab Q14_3M Fodar [aw=nyvikt]
tab Q14_4M Fodar [aw=nyvikt]
tab Q14_5M Fodar [aw=nyvikt]
tab Q14_6M Fodar [aw=nyvikt]
tab Q14_7M Fodar [aw=nyvikt]
tab Q14_8M Fodar [aw=nyvikt]

***** Extra benefits *****
gen Q13K=Q13 if IP_sex==1
replace Q13K=Q18 if AF_sex==1

gen Q13M=Q13 if IP_sex==2
replace Q13M=Q18 if AF_sex==2

tab Q13K Fodar [aw=nyvikt]
tab Q13M Fodar [aw=nyvikt]

***** Age*****
gen AgeK=IP_ALD_FODD if IP_sex==1
replace AgeK=AF_ALD_FODD if AF_sex==1

gen AgeM=IP_ALD_FODD if IP_sex==2
replace AgeM=AF_ALD_FODD if AF_sex==2

tab AgeK Fodar [aw=nyvikt]
tab AgeM Fodar [aw=nyvikt]

sum AgeK [aw=nyvikt]
sum AgeM [aw=nyvikt]

***** Benefit amount*****

******* PL days*******
recode IP_FP_DGR_2006 (-30=.)
recode AF_FP_DGR_2009 (-6=.)

gen IP_PL_days=IP_FP_DGR_2004 + IP_FP_DGR_2005 + IP_FP_DGR_2006 + IP_FP_DGR_2007 + IP_FP_DGR_2008 + IP_FP_DGR_2009 + IP_FP_DGR_2010 + IP_FP_DGR_2011 + IP_FP_DGR_2012
sum IP_PL_days

gen AF_PL_days=AF_FP_DGR_2004 + AF_FP_DGR_2005 + AF_FP_DGR_2006 + AF_FP_DGR_2007 + AF_FP_DGR_2008 + AF_FP_DGR_2009 + AF_FP_DGR_2010 + AF_FP_DGR_2011 + AF_FP_DGR_2012
sum AF_PL_days

gen PL_days=AF_PL_days + IP_PL_days
sum PL_days

******* PL amount*******

gen IP_PL_amount=IP_FP_BEL_2004 + IP_FP_BEL_2005 + IP_FP_BEL_2006 + IP_FP_BEL_2007 + IP_FP_BEL_2008 + IP_FP_BEL_2009 + IP_FP_BEL_2010 + IP_FP_BEL_2011 + IP_FP_BEL_2012
sum IP_PL_amount

gen AF_PL_amount=AF_FP_BEL_2004 + AF_FP_BEL_2005 + AF_FP_BEL_2006 + AF_FP_BEL_2007 + AF_FP_BEL_2008 + AF_FP_BEL_2009 + AF_FP_BEL_2010 + AF_FP_BEL_2011 + AF_FP_BEL_2012
sum AF_PL_amount

gen PL_amount=AF_PL_amount + IP_PL_amount
sum PL_amount

gen IP_benef=IP_PL_amount/IP_PL_days
gen AF_benef=AF_PL_amount/AF_PL_days

******* PL benef by gender**********

gen PL_benefK=.
replace PL_benefK=IP_benef if IP_sex==1
replace PL_benefK=AF_benef if AF_sex==1
sum PL_benefK

gen PL_benefM=.
replace PL_benefM=IP_benef if IP_sex==2
replace PL_benefM=AF_benef if AF_sex==2
sum PL_benefM

mean PL_benefK [aw=nyvikt], over(Fodar)
mean PL_benefM [aw=nyvikt], over(Fodar)

//tab PL_benefM Fodar [aw=nyvikt]
//tab PL_benefK Fodar [aw=nyvikt]

//export excel Fodar PL_benef PL_benefK PL_benefM using "C:\Users\Kolla\Desktop\ASRmaster\Data\Benefits.xls"

****** Means *****
****** Q13 dummy extra benefits *****
gen Q13Kd=Q13K
recode Q13Kd (1=1) (2/3=0) (99=.)

gen Q13Md=Q13M
recode Q13Md (1=1) (2/3=0) (99=.)

***** activities before PL ******
gen Q14K_fullt=Q14_1K
gen Q14K_partt=Q14_2K
gen Q14K_other=Q14_3K
replace Q14K_other=1 if Q14_4K==1
replace Q14K_other=1 if Q14_5K==1
replace Q14K_other=1 if Q14_6K==1
replace Q14K_other=1 if Q14_7K==1
replace Q14K_other=1 if Q14_8K==1

gen Q14M_fullt=Q14_1M
gen Q14M_partoth=Q14_2M
replace Q14M_partoth=1 if Q14_3M==1
replace Q14M_partoth=1 if Q14_4M==1
replace Q14M_partoth=1 if Q14_5M==1
replace Q14M_partoth=1 if Q14_6M==1
replace Q14M_partoth=1 if Q14_7M==1
replace Q14M_partoth=1 if Q14_8M==1

recode Q14K_fullt Q14K_partt Q14K_other Q14M_fullt Q14M_partoth Q14_1K Q14_2K Q14_3K Q14_4K Q14_5K Q14_6K Q14_7K Q14_8K Q14_1M Q14_2M Q14_3M Q14_4M Q14_5M Q14_6M Q14_7M Q14_8M (99=.)

sum Q14K_fullt Q14K_partt Q14K_other [aw=nyvikt]
sum Q14M_fullt Q14M_partoth [aw=nyvikt]
tab Q14K_fullt [aw=nyvikt]
tab Q14K_partt [aw=nyvikt]
tab Q14K_other [aw=nyvikt]
tab Q14M_fullt [aw=nyvikt]
tab Q14M_partoth [aw=nyvikt]

***** 2 year benefits in categories *****

gen IP_2PL_days2004=IP_FP_DGR_2004 + IP_FP_DGR_2005 + IP_FP_DGR_2006 if Fodar==2004
sum IP_2PL_days2004
gen IP_2PL_days2009=IP_FP_DGR_2009 + IP_FP_DGR_2010 + IP_FP_DGR_2011 if Fodar==2009
sum IP_2PL_days2009
gen IP_2PL_days=IP_2PL_days2004
replace IP_2PL_days=IP_2PL_days2009 if IP_2PL_days==.
sum IP_2PL_days

gen AF_2PL_days2004=AF_FP_DGR_2004 + AF_FP_DGR_2005 + AF_FP_DGR_2006 if Fodar==2004
sum AF_2PL_days2004
gen AF_2PL_days2009=AF_FP_DGR_2009 + AF_FP_DGR_2010 + AF_FP_DGR_2011 if Fodar==2009
sum AF_2PL_days2009
gen AF_2PL_days=AF_2PL_days2004
replace AF_2PL_days=AF_2PL_days2009 if AF_2PL_days==.
sum AF_2PL_days

gen PL2_days=AF_2PL_days + IP_2PL_days
sum PL2_days

******* PL amount*******

gen IP_2PL_amount2004=IP_FP_BEL_2004 + IP_FP_BEL_2005 + IP_FP_BEL_2006 if Fodar==2004
gen IP_2PL_amount2009=IP_FP_BEL_2009 + IP_FP_BEL_2010 + IP_FP_BEL_2011 if Fodar==2009
gen IP_2PL_amount=IP_2PL_amount2004
replace IP_2PL_amount=IP_2PL_amount2009 if IP_2PL_amount==.
sum IP_2PL_amount

gen AF_2PL_amount2004=AF_FP_BEL_2004 + AF_FP_BEL_2005 + AF_FP_BEL_2006 if Fodar==2004
gen AF_2PL_amount2009=AF_FP_BEL_2009 + AF_FP_BEL_2010 + AF_FP_BEL_2011 if Fodar==2009
gen AF_2PL_amount=AF_2PL_amount2004
replace AF_2PL_amount=AF_2PL_amount2009 if AF_2PL_amount==.
sum AF_2PL_amount

gen PL2_amount=AF_2PL_amount + IP_2PL_amount
sum PL2_amount

gen IP2_benef=IP_2PL_amount/IP_2PL_days
gen AF2_benef=AF_2PL_amount/AF_2PL_days

******* PL benef by gender**********

gen PL2_benefK=.
replace PL2_benefK=IP2_benef if IP_sex==1
replace PL2_benefK=AF2_benef if AF_sex==1
sum PL2_benefK

gen PL2_benefM=.
replace PL2_benefM=IP2_benef if IP_sex==2
replace PL2_benefM=AF2_benef if AF_sex==2
sum PL2_benefM

gen benefK_cat=.
replace benefK_cat=2 if PL2_benefK<=505
replace benefK_cat=1 if PL2_benefK<=185
replace benefK_cat=3 if PL2_benefK>=505
replace benefK_cat=4 if PL2_benefK>=639 & Fodar==2004
replace benefK_cat=4 if PL2_benefK>=909 & Fodar==2009
tab benefK_cat, m

replace benefK_cat=. if PL2_benefK==.
replace benefK_cat=. if AF_2PL_amount==0 & AF_sex==1
replace benefK_cat=. if IP_2PL_amount==0 & IP_sex==1
tab benefK_cat [aw=nyvikt]

gen benefM_cat=.
replace benefM_cat=2 if PL2_benefM<=505
replace benefM_cat=1 if PL2_benefM<=185
replace benefM_cat=0 if PL2_benefM<=179
replace benefM_cat=3 if PL2_benefM>=505
replace benefM_cat=4 if PL2_benefM>=639 & Fodar==2004
replace benefM_cat=4 if PL2_benefM>=909 & Fodar==2009
tab benefM_cat, m

replace benefM_cat=. if PL2_benefM==.
replace benefM_cat=0 if AF_2PL_amount==0 & AF_sex==2
replace benefM_cat=0 if IP_2PL_amount==0 & IP_sex==2
tab benefM_cat [aw=nyvikt]

tab benefK_cat Fodar [aw=nyvikt], m
tab benefM_cat Fodar [aw=nyvikt], m


*** dummy variables benefits ***
gen benefK_dum1=0
replace benefK_dum1=1 if benefK_cat==1
gen benefK_dum2=0
replace benefK_dum2=1 if benefK_cat==2
gen benefK_dum3=0
replace benefK_dum3=1 if benefK_cat==3
gen benefK_dum4=0
replace benefK_dum4=1 if benefK_cat==4

gen benefM_dum0=0
replace benefM_dum0=1 if benefM_cat==0
gen benefM_dum1=0
replace benefM_dum1=1 if benefM_cat==1
gen benefM_dum2=0
replace benefM_dum2=1 if benefM_cat==2
gen benefM_dum3=0
replace benefM_dum3=1 if benefM_cat==3
gen benefM_dum4=0
replace benefM_dum4=1 if benefM_cat==4

replace benefK_dum1=. if benefK_cat==.
replace benefK_dum2=. if benefK_cat==.
replace benefK_dum3=. if benefK_cat==.
replace benefK_dum4=. if benefK_cat==.

replace benefM_dum0=. if benefM_cat==.
replace benefM_dum1=. if benefM_cat==.
replace benefM_dum2=. if benefM_cat==.
replace benefM_dum3=. if benefM_cat==.
replace benefM_dum4=. if benefM_cat==.

sum benefK_dum1 benefK_dum2 benefK_dum3 benefK_dum4
sum benefM_dum0 benefM_dum1 benefM_dum2 benefM_dum3 benefM_dum4

tab benefK_cat benefK_dum1 [aw=nyvikt]

***** Mothers parttime dummy variable *****
sum PLpart_d_K
gen PLpart_Kdum=PLpart_d_K
recode PLpart_Kdum (.=0) (0.1/42=1)
tab PLpart_Kdum

****** Regressions ******
gen Fodar_d=Fodar
recode Fodar_d (2004=0) (2009=1)
sum Fodar_d
sum Fodar

reg Fstart Fodar_d [aw=nyvikt]
reg Fstart PL_shareF [aw=nyvikt]
reg Fstart PL_d_K [aw=nyvikt]
reg Fstart PL_d_M [aw=nyvikt]
reg Fstart Q13Kd [aw=nyvikt]
reg Fstart Q13Md [aw=nyvikt]
reg Fstart PLpart_d_K [aw=nyvikt]
reg Fstart PLpart_Kdum [aw=nyvikt]
reg Fstart PLpart_d_M [aw=nyvikt]
reg Fstart AgeK [aw=nyvikt]
reg Fstart AgeM [aw=nyvikt]
reg Fstart PL2_benefK [aw=nyvikt]
reg Fstart PL2_benefM [aw=nyvikt]
reg Fstart Q14K_partt Q14K_other [aw=nyvikt]
reg Fstart Q14M_partoth [aw=nyvikt]
reg Fstart benefK_dum1 benefK_dum2 benefK_dum3 benefK_dum4 [aw=nyvikt]
reg Fstart benefM_dum1 benefM_dum2 benefM_dum3 benefM_dum4 [aw=nyvikt]

sum Fstart PL_d_K PLpart_Kdum PL_shareF Q14K_partt Q14K_other Q14M_partoth Q13Kd Q13Md AgeK AgeM [aw=nyvikt]

reg Fstart PL_d_K PLpart_Kdum PL_shareF Q14K_partt Q14K_other Q14M_partoth Q13Kd Q13Md AgeK AgeM [aw=nyvikt]

**Check for multicollinearity **
quietly reg Fstart PL_d_K PLpart_Kdum PL_shareF Q14K_partt Q14K_other Q14M_partoth Q13Kd Q13Md AgeK AgeM [aw=nyvikt]
rvfplot, yline(0)
estat vif
* Check for heteroscedasticity*
predict e, res
qnorm e

quietly reg Fstart PL_d_K PLpart_Kdum PL_shareF Q14K_partt Q14K_other Q14M_partoth Q13Kd Q13Md AgeK AgeM [aw=nyvikt]
estat hettest

quietly reg Fstart PL_d_K PLpart_Kdum PL_shareF Q14K_partt Q14K_other Q14M_partoth Q13Kd Q13Md AgeK AgeM
estat imtest, white

** I run the models with robust SE because of heteroscedasticity
reg Fstart PL_d_K PLpart_Kdum PL_shareF Q14K_partt Q14K_other Q14M_partoth Q13Kd Q13Md AgeK AgeM [aw=nyvikt], vce(robust)
reg Fstart AgeK AgeM PL_d_K PLpart_Kdum [aw=nyvikt], vce(robust)
reg Fstart AgeK AgeM PL_shareF [aw=nyvikt], vce(robust)
reg Fstart AgeK AgeM Q13Kd Q13Md [aw=nyvikt], vce(robust)
reg Fstart AgeK AgeM Q14K_partt Q14K_other Q14M_partoth [aw=nyvikt], vce(robust)
